Raritan PX2/PX3 JSON-RPC API

Public Types | Public Member Functions | List of all members
rawcfg::RawConfiguration Interface Reference

Raw Configuration Interface. More...

`import"RawConfiguration.idl";`

## Public Types
enum | Status { UNKNOWN, UPLOAD_FAILED, UPDATE_PENDING, UPDATE_OK, UPDATE_FAILED }
| Status of the last raw configuration update operation. More...

## Public Member Functions
void | getStatus (out Status status, out time timeStamp)
| Retrieve the status of the last raw configuration update operation. More...

## Detailed Description

Raw Configuration Interface.

## Member Enumeration Documentation

## ◆ Status

enum rawcfg::RawConfiguration::Status

Status of the last raw configuration update operation.

Enumerator
UNKNOWN | No raw configuration was done yet.
UPLOAD_FAILED | Uploading a raw configuration failed.
UPDATE_PENDING | Update is pending.
UPDATE_OK | Updating raw configuration successful.
UPDATE_FAILED | Updating raw configuration failed.

## Member Function Documentation

## ◆ getStatus()

void rawcfg::RawConfiguration::getStatus | ( | out Status | status,
|  | out time | timeStamp
| ) |  |

Retrieve the status of the last raw configuration update operation.

Parameters

  status | Result: Raw configuration update status
  timeStamp | Result: Time of last update operation

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/RawConfiguration.idl